<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Редоктирование анкеты';
include_once '../sys/inc/thead.php';
title();


if (isset($_POST['save'])){
if (isset($_POST['vk_ank_deuatel']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_deuatel']))
{
$user['vk_ank_deuatel']=$_POST['vk_ank_deuatel'];
mysql_query("UPDATE `user` SET `vk_ank_deuatel` = '".my_esc($user['vk_ank_deuatel'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Деятельности';


if (isset($_POST['vk_ank_interes']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_interes']))
{
$user['vk_ank_interes']=$_POST['vk_ank_interes'];
mysql_query("UPDATE `user` SET `vk_ank_interes` = '".my_esc($user['vk_ank_interes'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Интересы';

if (isset($_POST['vk_ank_love_music']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_music']))
{
$user['vk_ank_love_music']=$_POST['vk_ank_love_music'];
mysql_query("UPDATE `user` SET `vk_ank_love_music` = '".my_esc($user['vk_ank_love_music'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Музыки';

if (isset($_POST['vk_ank_love_films']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_films']))
{
$user['vk_ank_love_films']=$_POST['vk_ank_love_films'];
mysql_query("UPDATE `user` SET `vk_ank_love_films` = '".my_esc($user['vk_ank_love_films'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Фильмов';
if (isset($_POST['vk_ank_love_telehoy']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_telehoy']))
{
$user['vk_ank_love_telehoy']=$_POST['vk_ank_love_telehoy'];
mysql_query("UPDATE `user` SET `vk_ank_love_telehoy` = '".my_esc($user['vk_ank_love_telehoy'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Телешоу';
if (isset($_POST['vk_ank_love_book']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_book']))
{
$user['vk_ank_love_book']=$_POST['vk_ank_love_book'];
mysql_query("UPDATE `user` SET `vk_ank_love_book` = '".my_esc($user['vk_ank_love_book'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Фильмов';

if (isset($_POST['vk_ank_love_games']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_games']))
{
$user['vk_ank_love_games']=$_POST['vk_ank_love_games'];
mysql_query("UPDATE `user` SET `vk_ank_love_games` = '".my_esc($user['vk_ank_love_games'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Игр';


if (isset($_POST['vk_ank_love_citat']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_love_citat']))
{
$user['vk_ank_love_citat']=$_POST['vk_ank_love_citat'];
mysql_query("UPDATE `user` SET `vk_ank_love_citat` = '".my_esc($user['vk_ank_love_citat'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат Цитат';

if (isset($_POST['vk_ank_o_sebe']) && preg_match('#^([A-zА-я \-,]*)$#ui', $_POST['vk_ank_o_sebe']))
{
$user['vk_ank_o_sebe']=$_POST['vk_ank_o_sebe'];
mysql_query("UPDATE `user` SET `vk_ank_o_sebe` = '".my_esc($user['vk_ank_o_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат о себе';
}
err();
aut();
?>
<html>
<style>
.even{padding:3px;
border-top:1px dotted #CCC
}
.row3{
padding:3px;
background-color:#e1e1e1
}
</style>
</html>
<?

echo "<div class='row3'><a href='osnovnoe.php'>Основное</a> | <a href='kontakt.php'>Контакты</a> | Интересы </div>";
echo "<form method='post' action='?$passgen'>\n";
echo "<div class='even'>Деятельность: <input type='text' name='vk_ank_deuatel' value='$user[vk_ank_deuatel]' maxlength='512' /><br />
<span style='color:green'><smal>*участие в организациях, общественные посты.</smal></span>
</div>\n";
echo "<div class='even'>Интересы: <input type='text' name='vk_ank_interes' value='$user[vk_ank_interes]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите интересы, через запятую.</smal></span>
</div>\n";
echo "<div class='even'>Любимая музыка: <input type='text' name='vk_ank_love_music' value='$user[vk_ank_love_music]' maxlength='512' /><br />
<span style='color:green'><smal>*группы, исполнители, композиторы.</smal></span>
</div>\n";
echo "<div class='even'>Любимые фильмы: <input type='text' name='vk_ank_love_films' value='$user[vk_ank_love_films]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите фильмы, через запятую.</smal></span>
</div>\n";
echo "<div class='even'>Любимое телешоу: <input type='text' name='vk_ank_love_telehoy' value='$user[vk_ank_love_telehoy]' maxlength='512' /><br />
<span style='color:green'><smal>*напишите ваше любимое телешоу.</smal></span>
</div>\n";
echo "<div class='even'>Любимые книги: <input type='text' name='vk_ank_love_book' value='$user[vk_ank_love_book]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите книги, через запятую.</smal></span>
</div>\n";
echo "<div class='even'>Любимые игры: <input type='text' name='vk_ank_love_games' value='$user[vk_ank_love_games]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите игры, через запятую.</smal></span>
</div>\n";
echo "<div class='even'>Любимые цитаты: <input type='text' name='vk_ank_love_citat' value='$user[vk_ank_love_citat]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите цитаты, через запятую.</smal></span>
</div>\n";
echo "<div class='even'>О себе: <input type='text' name='vk_ank_o_sebe' value='$user[vk_ank_o_sebe]' maxlength='512' /><br />
<span style='color:green'><smal>*перечислите цитаты, через запятую.</smal></span>
</div>\n";
echo "<div class='even'><input type='submit' name='save' value='Сохранить' /></div>\n";
echo "</form>\n";
echo "<div class='foot'>\n";
echo "&raquo;<a href='/anketa/info.php'>Посмотреть анкету</a><br />\n";

echo "</div>";
include_once '../sys/inc/tfoot.php';

?>